跳转到主要内容
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
列出已建立索引的代码仓库
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "branches": [
        "<string>"
      ],
      "indexing_enabled": true,
      "repository_path": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      }
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

权限

需要一个在组织级别具有 Read 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 200

响应

成功响应

items
RepositoryIndexingResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

指示当前页之后是否还有更多可用项。

total
integer | null

可选的总数(可省略以提升性能)。